- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SparseMatrixStructure Class Reference

`#include <sparsematrix.h>`

List of all members.

## Public Member Functions
| SparseMatrixStructure (const mxArray *ptr, bool makeCopy=false)
| SparseMatrixStructure (const SparseMatrixStructure &source)
| ~SparseMatrixStructure ()
int | height () const
int | width () const
int | size () const
int | size (int c) const
void | getColsAndRows (int *cols, int *rows) const
## Protected Member Functions
SparseMatrixStructure & | operator= (const SparseMatrixStructure &source)
## Protected Attributes
mwIndex * | jc
mwIndex * | ir
int | nnz
int | h
int | w
bool | owner
## Friends
void | copyElems (const SparseMatrixStructure &sourceStructure, const SparseMatrixStructure &destStructure, const double *sourceValues, double *destValues)

## Detailed Description

Definition at line 40 of file sparsematrix.h.

## Constructor & Destructor Documentation

SparseMatrixStructure::SparseMatrixStructure | ( | const mxArray * | ptr,
|  | bool | makeCopy = `false` |
| ) |  |  | `[explicit]`

SparseMatrixStructure::SparseMatrixStructure | ( | const SparseMatrixStructure & | source | ) |

SparseMatrixStructure::~SparseMatrixStructure | ( |  | ) |

## Member Function Documentation

int SparseMatrixStructure::height | ( |  | ) | const`[inline]`

Definition at line 59 of file sparsematrix.h.

References h.

int SparseMatrixStructure::width | ( |  | ) | const`[inline]`

Definition at line 60 of file sparsematrix.h.

References w.

int SparseMatrixStructure::size | ( |  | ) | const`[inline]`

Definition at line 63 of file sparsematrix.h.

References nnz.

int SparseMatrixStructure::size | ( | int | c | ) | const

void SparseMatrixStructure::getColsAndRows | ( | int * | cols,
|  | int * | rows |
| ) |  |  | const

SparseMatrixStructure& SparseMatrixStructure::operator= | ( | const SparseMatrixStructure & | source | ) | `[inline, protected]`

Definition at line 96 of file sparsematrix.h.

## Friends And Related Function Documentation

void copyElems | ( | const SparseMatrixStructure & | sourceStructure,
|  | const SparseMatrixStructure & | destStructure,
|  | const double * | sourceValues,
|  | double * | destValues |
| ) |  |  | `[friend]`

## Member Data Documentation

mwIndex* SparseMatrixStructure::jc`[protected]`

Definition at line 86 of file sparsematrix.h.

mwIndex* SparseMatrixStructure::ir`[protected]`

Definition at line 87 of file sparsematrix.h.

int SparseMatrixStructure::nnz`[protected]`

Definition at line 88 of file sparsematrix.h.

Referenced by size().

int SparseMatrixStructure::h`[protected]`

Definition at line 89 of file sparsematrix.h.

Referenced by height().

int SparseMatrixStructure::w`[protected]`

Definition at line 90 of file sparsematrix.h.

Referenced by width().

bool SparseMatrixStructure::owner`[protected]`

Definition at line 91 of file sparsematrix.h.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.5.1/Ipopt/contrib/MatlabInterface/src/sparsematrix.h